# IdeaCompilerOutput

interface IdeaCompilerOutput

IDEA compiler output settings.

## Functions

getInheritOutputDirs
Link copied to clipboard
abstract fun getInheritOutputDirs(): Boolean
whether current module should inherit project's output directory.
getOutputDir
Link copied to clipboard
@Nullable
abstract fun getOutputDir(): @Nullable File
directory to store module's production classes and resources.
getTestOutputDir
Link copied to clipboard
@Nullable
abstract fun getTestOutputDir(): @Nullable File
directory to store module's test classes and resources.